summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Meier <maekke@gentoo.org>2009-01-12 22:48:06 +0000
committerMarkus Meier <maekke@gentoo.org>2009-01-12 22:48:06 +0000
commitc3bd250a149fc33b1c0962a0f7238b8daf17a091 (patch)
treee003171894bb057e8a83ec65daa969fc6b068aaf /eclass/php-pear-lib-r1.eclass
parentImport fix for ksquares-4.1.3 from kde-testing (diff)
downloadgentoo-2-c3bd250a149fc33b1c0962a0f7238b8daf17a091.tar.gz
gentoo-2-c3bd250a149fc33b1c0962a0f7238b8daf17a091.tar.bz2
gentoo-2-c3bd250a149fc33b1c0962a0f7238b8daf17a091.zip
whitespace
Diffstat (limited to 'eclass/php-pear-lib-r1.eclass')
-rw-r--r--eclass/php-pear-lib-r1.eclass48
1 files changed, 24 insertions, 24 deletions
diff --git a/eclass/php-pear-lib-r1.eclass b/eclass/php-pear-lib-r1.eclass
index ef67fd1ef4b2..f92ec0303ef3 100644
--- a/eclass/php-pear-lib-r1.eclass
+++ b/eclass/php-pear-lib-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.14 2008/03/19 09:27:28 jokey Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.15 2009/01/12 22:48:06 maekke Exp $
#
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -45,29 +45,29 @@ php-pear-lib-r1_src_install() {
cd "${S}"
- if [[ -f "${WORKDIR}"/package2.xml ]] ; then
- mv -f "${WORKDIR}/package2.xml" "${S}"
- if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
- local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
- pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
- install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package2.xml" || die "Unable to install PEAR package"
- else
- pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package2.xml" || die "Unable to install PEAR package"
- fi
- else
- mv -f "${WORKDIR}/package.xml" "${S}"
- if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
- local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
- pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
- install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package.xml" || die "Unable to install PEAR package"
- else
- pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package.xml" || die "Unable to install PEAR package"
- fi
- fi
+ if [[ -f "${WORKDIR}"/package2.xml ]] ; then
+ mv -f "${WORKDIR}/package2.xml" "${S}"
+ if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
+ local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
+ pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
+ install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package2.xml" || die "Unable to install PEAR package"
+ else
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package2.xml" || die "Unable to install PEAR package"
+ fi
+ else
+ mv -f "${WORKDIR}/package.xml" "${S}"
+ if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
+ local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
+ pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
+ install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package.xml" || die "Unable to install PEAR package"
+ else
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package.xml" || die "Unable to install PEAR package"
+ fi
+ fi
rm -Rf "${D}/usr/share/php/.channels" \
"${D}/usr/share/php/.depdblock" \